For the complete documentation index, see llms.txt. This page is also available as Markdown.

Computed Queries

Manage computed queries, presets, report groups, workflow presets, fields, validation, execution, and exports with the VARIO Cloud REST API.

request to our CUnitTemplates

get
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required

Preset-ID

Query parameters
forAdminbooleanOptional
forWorkflowbooleanOptional
Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

get/cmn/computed-queries/{group-key}/{id}/presets/{presetId}
GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}
put
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required

Filter-Id

Body

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

put/cmn/computed-queries/{group-key}/{id}/presets/{presetId}
PUT /cmn/computed-queries/{group-key}/{id}/presets/{presetId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1076

{
  "version": "text",
  "info": {},
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "permissionAggregation": {
    "version": "text",
    "info": {},
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {},
    "id": "text",
    "pinned": false
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}
delete
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required

Filter-Id

Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/computed-queries/{group-key}/{id}/presets/{presetId}
DELETE /cmn/computed-queries/{group-key}/{id}/presets/{presetId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}

Get the report group bound to the given query preset

get
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required
Responses
200

Bound report group (or empty body if none)

application/json
groupIdstringOptional
identifierstringOptional
labelstringOptional
reportCountinteger · int64Optional
get/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group
GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Accept: */*
200

Bound report group (or empty body if none)

{
  "groupId": "text",
  "identifier": "text",
  "label": "text",
  "reportCount": 1
}

Create a stub report group for the given query preset

post
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required
Responses
200

Stub group created and bound to the preset

application/json
groupIdstringOptional
identifierstringOptional
labelstringOptional
reportCountinteger · int64Optional
post/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group
POST /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Accept: */*
200

Stub group created and bound to the preset

{
  "groupId": "text",
  "identifier": "text",
  "label": "text",
  "reportCount": 1
}

Bind an existing report group to the given query preset

put
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required
Body
identifierstring · min: 1Required

Identifier of an existing output report group in the cunit module

Responses
200

Group bound to the preset

application/json
groupIdstringOptional
identifierstringOptional
labelstringOptional
reportCountinteger · int64Optional
put/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group
PUT /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "identifier": "text"
}
200

Group bound to the preset

{
  "groupId": "text",
  "identifier": "text",
  "label": "text",
  "reportCount": 1
}

Detach the report group from the given query preset

delete
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required
Responses
200

Binding removed

No content

delete/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group
DELETE /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Accept: */*
200

Binding removed

No content

post
Path parameters
group-keystringRequired
idstringRequired
Body

CUnit-Vorlage zum erzeugen des Imports

modestring · enumOptional

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
queryStatementstringOptional

bei mode == STATEMENT, das vql-query

presetIdstringOptional

ID eines Presets

Responses
200

successful operation

application/json

Der Ergebniscontainer

post/cmn/computed-queries/{group-key}/{id}
POST /cmn/computed-queries/{group-key}/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1446

{
  "mode": "QUERY",
  "queryStatement": "text",
  "presetId": "text",
  "adhocPreset": {
    "version": "text",
    "info": {},
    "id": "text",
    "mode": "QUERY",
    "templateId": "text",
    "templateGroupKey": "text",
    "label": "text",
    "uiPayload": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "variables": [],
    "queryStatement": "text",
    "queryPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "results": [],
    "sortAndOrders": [],
    "pageable": {
      "limit": 1
    },
    "option": {
      "distinctResult": true
    },
    "transformations": [],
    "arithmeticQueryTerms": [],
    "permissionAggregation": {
      "version": "text",
      "info": {},
      "id": "text",
      "userPermissions": [],
      "groupPermissions": [],
      "operationForAllUsers": "READ_ONLY"
    },
    "forWorkflow": false,
    "outputReportGroupIdentifier": "text",
    "userOptions": {
      "version": "text",
      "info": {},
      "id": "text",
      "pinned": false
    }
  },
  "overrideResults": [],
  "arithmeticQueryTerms": [],
  "additionalPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "pageable": {
    "start": 1,
    "limit": 1,
    "sortOrders": []
  },
  "variableSubstitutionList": {
    "variableSubstitutions": []
  }
}
{
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "data": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
post
Path parameters
group-keystringRequired
idstringRequired
Body
exportFormatstring · enumOptional

Exportformate

Possible values:
exportFilenamestringOptional

Dateiname (ohne Endung) bei einem Dateiexport

outputTypestringOptional

Ausgabe-Typ

groupIdentifierstringOptional

outputGroup Identifier (optional)

publishedbooleanOptional

ist veröffentlicht?

Default: false
Responses
200

Request is processed and returned as Stream

*/*
post/cmn/computed-queries/{group-key}/{id}/print
POST /cmn/computed-queries/{group-key}/{id}/print HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1572

{
  "exportFormat": "PDF",
  "exportFilename": "text",
  "outputType": "text",
  "groupIdentifier": "text",
  "published": false,
  "presetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {},
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "permissionAggregation": {
        "version": "text",
        "info": {},
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {},
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  }
}
get
Path parameters
group-keystringRequired
idstringRequired
Query parameters
forAdminbooleanOptional
forWorkflowbooleanOptional
Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

get/cmn/computed-queries/{group-key}/{id}/presets
GET /cmn/computed-queries/{group-key}/{id}/presets HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
post
Path parameters
group-keystringRequired
idstringRequired
Body
labelstring · min: 1Required

label für diesen filter

modestring · enumRequired

QueryMode

Possible values:
queryStatementstringOptional

Optional ein VQL Query (bei Mode:STATEMENT)

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

post/cmn/computed-queries/{group-key}/{id}/presets
POST /cmn/computed-queries/{group-key}/{id}/presets HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 884

{
  "label": "text",
  "mode": "QUERY",
  "permissionAggregation": {
    "version": "text",
    "info": {},
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "arithmeticQueryTerms": [],
  "queryStatement": "text",
  "forWorkflow": false
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}

Sync the stub report group with the current preset state

post
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required
Query parameters
fullRewritebooleanOptional

If true, the entire JRXML is regenerated and any JasperStudio layout customizations are discarded. Default false keeps customizations and only refreshes the query string and field declarations.

Default: false
Responses
200

Stub regenerated (created if missing)

application/json
groupIdstringOptional
identifierstringOptional
labelstringOptional
reportCountinteger · int64Optional
post/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group/sync
POST /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group/sync HTTP/1.1
Host: api.example.com
Accept: */*
200

Stub regenerated (created if missing)

{
  "groupId": "text",
  "identifier": "text",
  "label": "text",
  "reportCount": 1
}
post
Path parameters
group-keystringRequired
idstringRequired
Body

CUnit-Vorlage zum erzeugen des Imports

modestring · enumOptional

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
queryStatementstringOptional

bei mode == STATEMENT, das vql-query

presetIdstringOptional

ID eines Presets

Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

post/cmn/computed-queries/{group-key}/{id}/presets/adhoc
POST /cmn/computed-queries/{group-key}/{id}/presets/adhoc HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1446

{
  "mode": "QUERY",
  "queryStatement": "text",
  "presetId": "text",
  "adhocPreset": {
    "version": "text",
    "info": {},
    "id": "text",
    "mode": "QUERY",
    "templateId": "text",
    "templateGroupKey": "text",
    "label": "text",
    "uiPayload": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "variables": [],
    "queryStatement": "text",
    "queryPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "results": [],
    "sortAndOrders": [],
    "pageable": {
      "limit": 1
    },
    "option": {
      "distinctResult": true
    },
    "transformations": [],
    "arithmeticQueryTerms": [],
    "permissionAggregation": {
      "version": "text",
      "info": {},
      "id": "text",
      "userPermissions": [],
      "groupPermissions": [],
      "operationForAllUsers": "READ_ONLY"
    },
    "forWorkflow": false,
    "outputReportGroupIdentifier": "text",
    "userOptions": {
      "version": "text",
      "info": {},
      "id": "text",
      "pinned": false
    }
  },
  "overrideResults": [],
  "arithmeticQueryTerms": [],
  "additionalPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "pageable": {
    "start": 1,
    "limit": 1,
    "sortOrders": []
  },
  "variableSubstitutionList": {
    "variableSubstitutions": []
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}
post
Body
statementstring · min: 1Required

das statement

limitinteger · int32Optional

optionaler wert für limit (wird gerne zusätzlich von tools mitgegeben)

offsetinteger · int64Optional

optionaler wert für offset (wird gerne zusätzlich von tools mitgegeben)

Responses
200

OK

application/json

Der Ergebniscontainer

post/cmn/computed-queries/execute
POST /cmn/computed-queries/execute HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "statement": "text",
  "limit": 1,
  "offset": 1,
  "variableSubstitutionList": {
    "variableSubstitutions": []
  }
}
200

OK

{
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "data": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
get
Responses
200

OK

application/json
keystringOptional

der group key

labelstringOptional

beschreibung der gruppe

get/cmn/computed-queries
GET /cmn/computed-queries HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
group-keystringRequired
Responses
200

OK

application/json
templateIdentifierstringOptional

das definierende Template

labelstringOptional

Bezeichnung des Templates

get/cmn/computed-queries/{group-key}
GET /cmn/computed-queries/{group-key} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
group-keystringRequired
idstringRequired
presetIdinteger · int64Required

Filter-Id

Query parameters
forAdminbooleanOptional
forWorkflowbooleanOptional
Responses
200

OK

application/json
get/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/validate
GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/validate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "checkedPreset": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "mode": "QUERY",
    "templateId": "text",
    "templateGroupKey": "text",
    "label": "text",
    "uiPayload": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "variables": [],
    "queryStatement": "text",
    "queryPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "results": [],
    "sortAndOrders": [],
    "pageable": {
      "limit": 1
    },
    "option": {
      "distinctResult": true
    },
    "transformations": [],
    "arithmeticQueryTerms": [],
    "definition": [
      {
        "_type": "text",
        "definition": "[Circular Reference]",
        "value": "[Circular Reference]"
      }
    ],
    "permissionAggregation": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "userPermissions": [],
      "groupPermissions": [],
      "operationForAllUsers": "READ_ONLY"
    },
    "forWorkflow": false,
    "outputReportGroupIdentifier": "text",
    "userOptions": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "pinned": false
    }
  },
  "validationErrors": []
}
get
Path parameters
group-keystringRequired
idstringRequired
Query parameters
filterablebooleanOptional
resultablebooleanOptional
verbosebooleanOptional
visibilitystring · enumOptionalPossible values:
depthinteger · int32Optional
Responses
200

OK

application/json
get/cmn/computed-queries/{group-key}/{id}/fields
GET /cmn/computed-queries/{group-key}/{id}/fields HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "attributes": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    },
    {
      "key": "text",
      "attribute": "text",
      "path": "text",
      "displayName": "text",
      "displayNameOverride": false,
      "groupDisplayName": "text",
      "parentDisplayName": "text",
      "resultable": true,
      "filterable": true,
      "sortable": true,
      "visible": true,
      "functions": [
        "text"
      ],
      "sortDirection": "text",
      "constraint": {
        "minLength": 1,
        "maxLength": 1,
        "minValue": 1,
        "includeMinValue": true,
        "maxValue": 1,
        "includeMaxValue": true,
        "notNull": false,
        "notBlank": true,
        "digitsFraction": 1
      },
      "dataType": {
        "identifier": "text",
        "jsType": "text",
        "objectRefIdentifier": "text",
        "filterOptions": {
          "filterValues": [
            "text"
          ],
          "filterDialog": {
            "empty": true,
            "array": true,
            "null": true,
            "object": true,
            "float": true,
            "missingNode": true,
            "nodeType": "ARRAY",
            "valueNode": true,
            "container": true,
            "integralNumber": true,
            "floatingPointNumber": true,
            "string": true,
            "pojo": true,
            "short": true,
            "int": true,
            "long": true,
            "double": true,
            "bigDecimal": true,
            "bigInteger": true,
            "boolean": true,
            "binary": true,
            "number": true,
            "embeddedValue": true
          },
          "multipleChoice": false
        },
        "functions": [
          "text"
        ],
        "predicateOperations": [
          "AND"
        ]
      },
      "dataTypeIdentifier": "text",
      "modelType": "STATIC",
      "entityIdentifier": "text",
      "referencedEntityIdentifier": "text",
      "headers": []
    }
  ]
}
get
Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

get/cmn/computed-queries/workflow-presets
GET /cmn/computed-queries/workflow-presets HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
idstringRequired
Responses
200

OK

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

get/cmn/computed-queries/workflow-presets/{id}
GET /cmn/computed-queries/workflow-presets/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}
get
Query parameters
entityIdentifierstringOptional
visibilitystring · enumOptionalPossible values:
verbosebooleanOptional
Responses
200

OK

application/json

Eine Entity im CUnit-Modell mit ihren Attributen

identifierstringRead-onlyOptional

Der einfache Identifier der Entity (z.B. 'AccountEntity')

fullyQualifiedIdentifierstringRead-onlyOptional

Der vollqualifizierte Identifier der Entity (z.B. 'ag.vario.erp.account.AccountEntity')

displayNamestringRead-onlyOptional

Der Anzeigename der Entity

tableNamestringRead-onlyOptional

Der Tabellenname der Entity in der Datenbank

get/cmn/computed-queries/fields
GET /cmn/computed-queries/fields HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Responses
200

OK

application/json
get/cmn/computed-queries/dialect-info
GET /cmn/computed-queries/dialect-info HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "functions": [],
  "dataTypes": []
}

Last updated

Was this helpful?